<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class link extends elemento{

	
	function link() {
        
        $c= new categoria;

    }
	
	function guardar($id=0){	
		$trata = new images_mod($this->req);
		//$this->req['imagem'] = $trata->trataimagem('imagem', "../netimages/linkk");
		
		$this->req['permatitulo']=generate_seo_titulo1($this->req['titulo'], $this->tipo, $id);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		
		parent::guardar($id);	
	}
    
    
    function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("",1);
		$f->campoTexto("Título","titulo" );
// 		$f->campoTexto("Sub-título","subtitulo" );
		
// 		$f->campoHtml("Descrição","texto" );
 		$f->campoTexto("Link","link" );
// 		$f->campoImagem2("Imagem","imagem", 300, 300 );

		$f->campoValor("ordem", $linha["ordem"]);
		$f->campoSimNao("Activo", "estado", 0);
		$f->mostra();

	}
	
	function listar(){

        
        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Link"=>"link", "Ordem"=>"ordem");
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "ordem", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
        $f= new lista($campos, $dados, $this->req);
		$f->toolbars();
		$f->titulo();
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(true);
		$f->mostra();

	}

}
?>
